﻿/* AutoComplete */

.autoCompleteMask {
    position: fixed;
    top: 0;
    z-index: 999;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    background-color: rgb(0 0 0 / 60%);
}

#acSearch-Container #acSearch-Wrapper {
    width: 100%;
}

#acSearch-Container #acSearch-input {
    box-sizing: border-box;
    padding: 0;
    border: none;
    outline: none;
    box-shadow: none;
    background-color: transparent;
    color: inherit;
    padding-right: 24px;
    overflow: hidden;
    transition: height 0.3s;
    width: 100%;
    height: 100%;
    font-family: 'Assistant';
    font-size: 16px;
}

#acSearch-Container #acSearch-dropdown-container {
    position: absolute;
    top: 58px;
    background: #fff;
    border-bottom-left-radius: 0.6rem;
    border-bottom-right-radius: 0.6rem;
    font: normal 14px/18px Assistant;
    color: #444749;
    border-top: 1px solid #E5E6E5;
}

    #acSearch-Container #acSearch-dropdown-container #acSearch-dropdown {
        margin: 10px 0;
        display: flex;
        flex-direction: column;
        width: inherit;
    }

        #acSearch-Container #acSearch-dropdown-container #acSearch-dropdown .my-last-results {
            padding-right: 24px;
            margin: 8px 0;
        }

        #acSearch-Container #acSearch-dropdown-container #acSearch-dropdown .group-title {
            margin: 8px 24px;
            border-top: 1px solid #E5E6E5;
        }

        #acSearch-Container #acSearch-dropdown-container #acSearch-dropdown .searchSuggestionsTitle {
            padding: 4px 24px 4px 0;
            margin: 4px 0;
        }

        #acSearch-Container #acSearch-dropdown-container #acSearch-dropdown .acSearch-row-container,
        #acSearch-Container #acSearch-dropdown-container #acSearch-dropdown .wanted-searches-group-title {
            padding: 2px 24px 2px 0;
            height: 35px;
            cursor: pointer;
            margin: 6px 0;
            display: flex;
            align-items: center;
        }

            #acSearch-Container #acSearch-dropdown-container #acSearch-dropdown .acSearch-row-container:has(.wanted-searches-group-title) {
                cursor: unset;
            }

            #acSearch-Container #acSearch-dropdown-container #acSearch-dropdown .acSearch-row-container.active {
                background-color: #0280941A;
            }

            #acSearch-Container #acSearch-dropdown-container #acSearch-dropdown .acSearch-row-container:has(.wanted-searches-group-title):hover {
                background-color: unset;
            }

            #acSearch-Container #acSearch-dropdown-container #acSearch-dropdown .acSearch-row-container .acSearch-row {
                color: #000000;
                font: normal normal normal 16px/21px Assistant;
                line-height: 35px;
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
                width: 95%;
            }

            #acSearch-Container #acSearch-dropdown-container #acSearch-dropdown .acSearch-row-container .acSearch-row-img {
                display: grid;
                grid-template-columns: 44px auto;
                align-items: center;
            }

            #acSearch-Container #acSearch-dropdown-container #acSearch-dropdown .acSearch-row-container .acSearch-row > div {
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
                align-self: center;
            }

            #acSearch-Container #acSearch-dropdown-container #acSearch-dropdown .acSearch-row-container .acSearch-row .typedInput__match {
                color: #048094;
            }

            #acSearch-Container #acSearch-dropdown-container #acSearch-dropdown .acSearch-row-container .acSearch-row .wanted-searches-group-title {
                font: normal 14px/18px Assistant;
                color: #444749;
            }

    #acSearch-Container #acSearch-dropdown-container .clear-search-history {
        text-align: left;
        margin-left: 12px;
        white-space: nowrap;
        font: normal 14px/18px Assistant;
        color: #27292B;
        text-decoration: underline;
        cursor: pointer;
    }

#acSearch-dropdown-container #acSearch-dropdown .popularResultSection {
    padding: 0 24px;
}

    #acSearch-dropdown-container #acSearch-dropdown .popularResultSection .popularResultContainer {
        display: inline-flex;
        border: 1px solid #CFCFCF;
        border-radius: 4px;
        padding: 6px 12px;
        margin: 0 0 12px 12px;
        column-gap: 6px;
    }

        #acSearch-dropdown-container #acSearch-dropdown .popularResultSection .popularResultContainer .popularResultText {
            font: normal 16px/21px Assistant;
            color: #444749;
        }

        #acSearch-dropdown-container #acSearch-dropdown .popularResultSection .popularResultContainer .popularResultIcon {
            background-image: url(https://img.zap.co.il/imgs/search-icon.png);
            width: 20px;
            height: 20px;
            transform: translateY(-1px);
        }



/* Models Search */
.search-models-form {
    display: flex;
    white-space: nowrap;
    align-items: center;
}

    .search-models-form .search-models-input {
        padding: 0;
        height: initial;
        width: initial;
        margin-bottom: 0;
        display: none;
        cursor: pointer;
    }

    .search-models-form .search-models-label-container {
        height: 24px;
        display: flex;
        align-items: center;
        padding-left: 10px;
        border-left: 1px solid #E5E6E5;
    }

        .search-models-form .search-models-label-container .search-models-label {
            display: flex;
            position: relative;
            cursor: pointer;
            align-items: center;
            margin: 0;
            gap: 8px;
            user-select: none;
            font: normal normal 600 14px/18px Assistant;
        }

            .search-models-form .search-models-label-container .search-models-label:before {
                content: '';
                -webkit-appearance: none;
                background-color: transparent;
                border: 1px solid #CFCFCF;
                border-radius: 4px;
                box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05), inset 0px -15px 10px -12px rgba(0, 0, 0, 0.05);
                padding: 8px;
                display: inline-block;
                position: relative;
                vertical-align: middle;
                cursor: pointer;
                margin-right: 5px;
            }

        .search-models-form .search-models-label-container .search-models-input:checked + .search-models-label:after {
            content: '';
            display: block;
            position: absolute;
            right: 6px;
            width: 16px;
            height: 16px;
            background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAB4AAAAeCAYAAAA7MK6iAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAxhpVFh0WE1MOmNvbS5hZG9iZS54bXAAAAAAADw/eHBhY2tldCBiZWdpbj0i77u/IiBpZD0iVzVNME1wQ2VoaUh6cmVTek5UY3prYzlkIj8+IDx4OnhtcG1ldGEgeG1sbnM6eD0iYWRvYmU6bnM6bWV0YS8iIHg6eG1wdGs9IkFkb2JlIFhNUCBDb3JlIDUuMC1jMDYwIDYxLjEzNDM0MiwgMjAxMC8wMS8xMC0xODowNjo0MyAgICAgICAgIj4gPHJkZjpSREYgeG1sbnM6cmRmPSJodHRwOi8vd3d3LnczLm9yZy8xOTk5LzAyLzIyLXJkZi1zeW50YXgtbnMjIj4gPHJkZjpEZXNjcmlwdGlvbiByZGY6YWJvdXQ9IiIgeG1sbnM6eG1wPSJodHRwOi8vbnMuYWRvYmUuY29tL3hhcC8xLjAvIiB4bWxuczp4bXBNTT0iaHR0cDovL25zLmFkb2JlLmNvbS94YXAvMS4wL21tLyIgeG1sbnM6c3RSZWY9Imh0dHA6Ly9ucy5hZG9iZS5jb20veGFwLzEuMC9zVHlwZS9SZXNvdXJjZVJlZiMiIHhtcDpDcmVhdG9yVG9vbD0iQWRvYmUgUGhvdG9zaG9wIENTNSIgeG1wTU06SW5zdGFuY2VJRD0ieG1wLmlpZDoxNjIzOTRDODlDMTMxMUU5OTBBNkQzNDc4Q0U4Q0I5RSIgeG1wTU06RG9jdW1lbnRJRD0ieG1wLmRpZDoxNjIzOTRDOTlDMTMxMUU5OTBBNkQzNDc4Q0U4Q0I5RSI+IDx4bXBNTTpEZXJpdmVkRnJvbSBzdFJlZjppbnN0YW5jZUlEPSJ4bXAuaWlkOjE2MjM5NEM2OUMxMzExRTk5MEE2RDM0NzhDRThDQjlFIiBzdFJlZjpkb2N1bWVudElEPSJ4bXAuZGlkOjE2MjM5NEM3OUMxMzExRTk5MEE2RDM0NzhDRThDQjlFIi8+IDwvcmRmOkRlc2NyaXB0aW9uPiA8L3JkZjpSREY+IDwveDp4bXBtZXRhPiA8P3hwYWNrZXQgZW5kPSJyIj8+QTtv0wAAANpJREFUeNpi/P//P8NAACaGAQIjz2KWuLg4etpnDsQXgfgHPS0NAeJfQLwM5GF6W/ofitcOhKUg3E9rS0OxWNo8EJa20NrSsFFLaQnCgfj3kLLUH4jZyLA0ghJLa6AaFpFYcVBkaR+axoVEWh5BaZwGAvFrEi2PpFZCsgTit2gGgYKdGYvaKCD+Q83Ua02E5VS3FNnyd2gGL4YGezitLIUBGyyWHwbi7/QoHLBZTrcSCZflNC8GYZa/p7elMGAHxG+AuJOahjKuWLGCGHUKQPyAqhaPuL4TQIABAOcdkGGAe5DaAAAAAElFTkSuQmCC);
            background-size: 10.8px 10.78px;
            background-repeat: no-repeat;
            background-position: center;
        }

#mobileAcSearch-Wrapper {
    background: #00000094;
    position: absolute;
    height: 100vh;
    width: 100vw;
    top: 50px;
    left: 0;
    z-index: 10;
}

    #mobileAcSearch-Wrapper #mobileAcSearch-inputWrapper {
        margin: 0 10px;
        background: #fff;
        padding: 10px 0;
    }

    #mobileAcSearch-Wrapper #mobileAcSearch-inputContainer #acSearchIconMobile {
        width: 40px;
        background-repeat: no-repeat;
        background-position: center;
        cursor: pointer;
        border: none;
        border-right: none;
        background-image: url(https://img.zap.co.il/imgs/search-icon.png);
        background-color: #fff;
        justify-self: center;
    }

    #mobileAcSearch-Wrapper #acSearch-dropdown-container-mobile {
        height: 100%;
        width: 100%;
        display: flex;
        flex-direction: column;
    }

    #mobileAcSearch-Wrapper #mobileAcSearch-inputWrapper {
        background: #fff;
        padding: 10px 0;
        margin: 0 18px;
    }

        #mobileAcSearch-Wrapper #mobileAcSearch-inputWrapper #mobileAcSearch-inputContainer {
            background-color: #fff;
            height: 36px;
            border-radius: 6px;
            display: grid;
            grid-template-columns: 1fr 32px;
            align-items: center;
            justify-content: space-between;
            margin: 0 24px;
            padding: 0 8px;
            border: 1px solid #E5E6E5;
        }

            #mobileAcSearch-Wrapper #mobileAcSearch-inputWrapper #mobileAcSearch-inputContainer #acSearch-input-mobile {
                box-sizing: border-box;
                padding: 0;
                border: none;
                outline: none;
                box-shadow: none;
                padding: 8px;
            }

    #mobileAcSearch-Wrapper #mobileDropDownContainer {
        padding: 6px 24px 20px;
        text-align: right;
        background: #fff;
        border-bottom-left-radius: 14px;
        border-bottom-right-radius: 14px;
        margin: 0 18px;
    }

        #mobileAcSearch-Wrapper #mobileDropDownContainer #acSearch-dropdown-mobile {
            display: flex;
            gap: 10px;
            flex-direction: column;
        }

            #mobileAcSearch-Wrapper #mobileDropDownContainer #acSearch-dropdown-mobile .searchSuggestionsTitle {
                margin-bottom: 8px;
                font-size: 14px;
            }

            #mobileAcSearch-Wrapper #mobileDropDownContainer #acSearch-dropdown-mobile .group-title {
                border-top: 1px solid #E5E6E5;
                margin: 8px 0;
            }

            #mobileAcSearch-Wrapper #mobileDropDownContainer #acSearch-dropdown-mobile .typedInput__match {
                color: #048094;
            }


